/*----- sys/types.h ----- 04/06/12 -----(03/12/06)-----*/

#ifndef _sys_typesH_
#define _sys_typesH_


typedef signed char     schar;
typedef unsigned char   bool;
typedef unsigned char   uchar;

typedef unsigned short  ushort;
typedef unsigned int    uint;

typedef unsigned long   ulong;

typedef unsigned long   time_t;

typedef unsigned long   useconds_t;
typedef long            suseconds_t;


typedef  ulong  off_t;     /* file offset/size */

typedef  int    fd_t;       /* file descriptor */
typedef  int    sfd_t;      /* socket descriptor */

typedef  ulong  dev_t;      /* filesystem device */
typedef  ulong  ino_t;      /* inode */
typedef  ulong  mode_t;     /* protection */
typedef  int    nlink_t;    /* number of hard links */
typedef  int    uid_t;      /* user ID of owner */
typedef  int    gid_t;      /* group ID of owner */
typedef  int    blksize_t;  /* blocksize for filesystem I/O */
typedef  int    blkcnt_t;   /* number of blocks allocated */

typedef  int    socklen_t;  /* size of socket "address"/name */

typedef  int    key_t;


/* Type of a SYSV IPC key.  */
typedef int   __kernel_key_t;
typedef int   __kernel_mqd_t;

typedef uint  __kernel_uid_t;
typedef uint  __kernel_gid_t;
typedef uint  __kernel_mode_t;

typedef ulong  __kernel_time_t;


#define FAR  far

#define __user


#ifndef  NULL
#  define  NULL 0
#endif


#endif
