//----- cp.c ----- 03/20/09 -----(03/14/06)-----

//-----------------------------------------------------------------------------
//
//  2009-xx-xx - Mark Davis
//               - original version of ...
//
//-----------------------------------------------------------------------------

#include <time.h>
#include <common.h>

#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <fcntl.h>
#include <arpa/inet.h>
#include <errno.h>
#include <signal.h>
#include <utime.h>


#include <busybox.h>

#include <sys/hdwDefs.h>

#include <dcdefs.h>

#include <ctype.h>
#include <limits.h>

#include <sys/SHD_headers.h>

#include <applic.h>

#include <sys/farprintf.h>


//-----------------------------------------------------------------------------
//  copy a file
//-----------------------------------------------------------------------------
void _task _cp(int argc, char **argv)
{
  char  *errStr;
  char  buf[256];


  if (showHelp(3, argc, argv))  {
    printf("\nusage: cp from to\r\n");  Exit(-1); }

  if (copyFileByName(argv[1], argv[2], true, buf, sizeof(buf), &errStr))  {
    perror(errStr);  Exit(-1);  }

  Exit(0);
}

//-----------------------------------------------------------------------------
