//----- fifoClient.c ----- 04/02/09 -----(03/14/06)-----

//-----------------------------------------------------------------------------
//
//  2009-xx-xx - Mark Davis
//               - original version of ...
//
//-----------------------------------------------------------------------------

#include <time.h>
#include <common.h>

#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <fcntl.h>
#include <arpa/inet.h>
#include <errno.h>
#include <signal.h>
#include <utime.h>


#include <busybox.h>

#include <sys/hdwDefs.h>

#include <dcdefs.h>

#include <ctype.h>
#include <limits.h>

#include <applic.h>

#include <sys/farprintf.h>


//-----------------------------------------------------------------------------
//  simple client to test FIFO functionality
//-----------------------------------------------------------------------------
void _task _fifoClient(int argc, char **argv)
{
  fd_t  fd;
  char  ch;


  if (showHelp(2, argc, argv))  {
    printf("\nusage: fifoClient fifoName\r\n");  Exit(-1); }

  fd = open(argv[1], O_WRONLY, 0);

  if (fd < 0)  { printf("Unable to open FIFO: %d\r\n", fd);  Exit(-1); }

  printf("fd: %d\r\n", fd);

  for (;;)  {
//    ch = getchar();  putchar(ch);   write(fd, &ch, 1);
    if (read(0, &ch, 1) < 1)  break;
    if (ch == 0x03)  break;
    write(1, &ch, 1);  write(fd, &ch, 1);
  }

  ch = 0x03;  write(fd, &ch, 1);

  close(fd);  Exit(0);
}

//-----------------------------------------------------------------------------
