//----- renice.c ----- 03/31/09 -----(03/14/06)-----

//-----------------------------------------------------------------------------
//
//  2009-xx-xx - Mark Davis
//               - original version of ...
//
//-----------------------------------------------------------------------------

#include <time.h>
#include <common.h>

#include <sys/types.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/socket.h>
#include <fcntl.h>
#include <arpa/inet.h>
#include <errno.h>
#include <signal.h>
#include <utime.h>


#include <busybox.h>

#include <sys/hdwDefs.h>

#include <dcdefs.h>

#include <ctype.h>
#include <limits.h>

#include <sys/SHD_headers.h>

#include <sys/modbus.h>

#include <tsh.h>

#include <applic.h>

#include <sys/farprintf.h>

//-----------------------------------------------------------------------------
//  alter the priority of a process
//-----------------------------------------------------------------------------
void _task _renice(int argc, char **argv)
{
  if (showHelp(3, argc, argv))  {
    printf("\nusage: renice priority pid\r\n");  Exit(-1); }


  if (setpriority(PRIO_PROCESS, atoi(argv[2]), atoi(argv[1])))  {
    perror("Unable to set priority");  Exit(-1);  }

  Exit(0);
}


//-----------------------------------------------------------------------------
